The new activations of Windows Hosting service (or Windows + Linux Hosting) are based on Windows 2008 server platform, which natively supports ASP.NET Framework 3.5/4.0.
The other types of activate Servers are based on Windows 2003 Server on which the F
ramework 2.0/3.5 version is used.

If the operating system of your domain is based on Windows 2008 platform, you may change the version of the Framework used from the 2.0/3.5 to the 4.0 version.

More information and details on the process you need to follow is available in the provided guide.

To check your server environment, which will depend on the activation date, you can enter a 'test.asp' page with the following code in your web space:

 

Download the attached file and place it in the web space.

If the response is IIS Version: Microsoft-IIS/4.0 it is not possible to activate the .NET beta support.